Debian Bug report logs - #599188
RM: pam-fprint -- ROM; dead upstream, replaced by libpam-fprintd

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Dererk <dererk@debian.org>

Date: Tue, 5 Oct 2010 12:57:07 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, FingerForce Team <fingerforce-devel@lists.alioth.debian.org>:
Bug#599188; Package src:pam-fprint. (Tue, 05 Oct 2010 12:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dererk <dererk@debian.org>:
New Bug report received and forwarded. Copy sent to FingerForce Team <fingerforce-devel@lists.alioth.debian.org>. (Tue, 05 Oct 2010 12:57:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dererk <dererk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Blocking dummy bug for squeeze release remotion [pam-fprint]
Date: Tue, 05 Oct 2010 09:47:08 -0300
[Message part 1 (text/plain, inline)]
Source: pam-fprint
Severity: serious

Following to the FingerForce developers list discussion found here [1],
I'm filling a dummy bug for the fprint software.

As mentioned on that thread, we will provide newly and well-tested
fprint software for the Squeeze stable release through the backports
system in the future.



Cheers,



1.
http://lists.alioth.debian.org/pipermail/fingerforce-devel/2010-August/000323.html

-- BOFH excuse #100: IRQ dropout

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, FingerForce Team <fingerforce-devel@lists.alioth.debian.org>:
Bug#599188; Package src:pam-fprint. (Sat, 03 Mar 2012 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to FingerForce Team <fingerforce-devel@lists.alioth.debian.org>. (Sat, 03 Mar 2012 15:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 599188@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Dererk <dererk@debian.org>
Cc: <599188@bugs.debian.org>
Subject: Re: Blocking dummy bug for squeeze release remotion [pam-fprint]
Date: Sat, 03 Mar 2012 15:07:53 +0000
On 05.10.2010 12:47, Dererk wrote:
> Following to the FingerForce developers list discussion found here
> [1],
> I'm filling a dummy bug for the fprint software.
>
> As mentioned on that thread, we will provide newly and well-tested
> fprint software for the Squeeze stable release through the backports
> system in the future.

That was a while ago now.  What's the plan for wheezy?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, FingerForce Team <fingerforce-devel@lists.alioth.debian.org>:
Bug#599188; Package src:pam-fprint. (Tue, 13 Mar 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to FingerForce Team <fingerforce-devel@lists.alioth.debian.org>. (Tue, 13 Mar 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 599188@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 599188@bugs.debian.org, Dererk <dererk@debian.org>
Subject: Re: [Fingerforce-devel] Bug#599188: Blocking dummy bug for squeeze release remotion [pam-fprint]
Date: Tue, 13 Mar 2012 23:37:51 +0100
[Message part 1 (text/plain, inline)]
Hi Adam!

On Sat, 03 Mar 2012 16:07:53 +0100, Adam D. Barratt wrote:
> On 05.10.2010 12:47, Dererk wrote:
>> Following to the FingerForce developers list discussion found here
>> [1],
>> I'm filling a dummy bug for the fprint software.
>>
>> As mentioned on that thread, we will provide newly and well-tested
>> fprint software for the Squeeze stable release through the backports
>> system in the future.
>
> That was a while ago now.  What's the plan for wheezy?

Waiting for Dererk to reply, here what I can say.

The situation has not changed so much, according to the upstream News
section:

  <http://www.freedesktop.org/wiki/Software/fprint>

  News

  * 2008-11-23: Bastien Nocera has been doing a lot of work on fprintd
    and has put out a request for testing in Fedora.

Please note, however, that the mailing list as well as the Git
repositories are still active:

  <http://lists.freedesktop.org/archives/fprint/>
  <http://cgit.freedesktop.org/libfprint/libfprint/>
  <http://cgit.freedesktop.org/libfprint/fprintd/>

So, basically, we should move to fprintd (and pam-fprintd).  When this
will happen, however, is still unknown.  If needed, I am all in favor of
a complete removal of pam-fprint.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, FingerForce Team <fingerforce-devel@lists.alioth.debian.org>:
Bug#599188; Package src:pam-fprint. (Tue, 03 Jul 2012 11:06:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to FingerForce Team <fingerforce-devel@lists.alioth.debian.org>. (Tue, 03 Jul 2012 11:07:02 GMT) Full text and rfc822 format available.

Message #20 received at 599188@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 599188@bugs.debian.org
Subject: Re: [Fingerforce-devel] Bug#599188: Blocking dummy bug for squeeze release remotion [pam-fprint]
Date: Tue, 03 Jul 2012 04:56:15 -0600
[Message part 1 (text/plain, inline)]
reassign 599188 ftp.debian.org
retitle 599188 RM: pam-fprint -- ROM; dead upstream, replaced by libpam-fprintd
severity 599188 normal
usertags 599188 + debian-packaging
thanks

Hi there!

On Tue, 13 Mar 2012 16:37:51 -0600, Luca Capello wrote:
> So, basically, we should move to fprintd (and pam-fprintd).  When this
> will happen, however, is still unknown.  If needed, I am all in favor of
> a complete removal of pam-fprint.

Here we are, given that pam-fprintd has been in the archive since
2012-05-21.

About the bugs present in pam-fprint:

  #469059: reassigned to libpam-fprintd
  #578858: to be closed with the removal (pam-fprintd works fine)
  #597285: reassigned to libpam-fprintd
  #606381: to be closed with the removal (pam-fprintd stores
           fingerprints in /var/lib/fprint/)
  #633633: to be closed with the removal (pam-fprintd supports that
           device)

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'src:pam-fprint' to 'ftp.debian.org'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 03 Jul 2012 11:09:39 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: pam-fprint -- ROM; dead upstream, replaced by libpam-fprintd' from 'Blocking dummy bug for squeeze release remotion [pam-fprint]' Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 03 Jul 2012 11:09:40 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 03 Jul 2012 11:09:40 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 03 Jul 2012 13:18:19 GMT) Full text and rfc822 format available.

Notification sent to Dererk <dererk@debian.org>:
Bug acknowledged by developer. (Tue, 03 Jul 2012 13:18:37 GMT) Full text and rfc822 format available.

Message #31 received at 599188-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 599188-close@bugs.debian.org
Cc: pam-fprint@packages.debian.org, pam-fprint@packages.qa.debian.org
Subject: Bug#599188: Removed package(s) from unstable
Date: Tue, 03 Jul 2012 13:15:25 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libpam-fprint | 20080330+git-5 | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
pam-fprint | 20080330+git-5 | source

------------------- Reason -------------------
ROM; dead upstream, replaced by libpam-fprintd
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599188@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/599188

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Aug 2012 07:32:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:11:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.